@import '../../shared/global/_variables.scss';

section{
    height: 82vh;
    background-image: url('../../../assets/img/bg_beneficios.png');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 45px 10%;
    box-sizing: border-box;
    background-position-y: 35%;
    @media (min-width: 3000px) and (max-width:8000px){
        height: 88vh;
    }
    @media (min-width: 1920px) and (max-width:3000px){
      height: 87vh;
    }
    @media (min-width: 1600px) and (max-width:1920px){
        height: 87vh;
        padding: 0px 10%;
    }
    @media (min-width:1440px) and (max-width:1400px){
        height: 85vh;
    } 
    @media (min-width:1024px) and (max-width:1440px){
      height: 87vh;
    } 
    @media (min-width:768px) and (max-width:1024px){
        height: 87vh;
    } 
    @media (min-width:600px) and (max-width:768px){
        height: auto;
        padding: 45px 20px;
    } 
    @media (max-width:600px){
      height: 85vh;
      padding: 45px 20px;
      background-image: url('../../../assets/img/bg_transmision-responsive.svg');
    }

    @media (max-width:300px){
      height: auto;
    }

    @media (max-height:400px){
      height: auto;
    }


    .container-trivia {
        background: #00000036;
        width: 75%;
        margin: auto;
        padding: 50px;
        box-sizing: border-box;
        border-radius: 30px;
        text-align: center;
        @media (min-width: 2600px) and (max-width:8000px){
          padding: 6%;
      }
      @media (min-width:1920px) and (max-width:2600px){
          width: 55%;
          padding: 2%;
      }
      @media (min-width:1400px) and (max-width:1920px){
          width: 70%;
          padding: 50px;
      }
      @media (min-width:1024px) and (max-width:1400px){
          width: 75%;
          padding: 30px 50px;
      } 
      @media (max-width:768px){
          width: 100%;
          padding: 20px;
      }
      @media (max-height:400px){
        position: relative;
      }
        h4{
            color: $white;
            font-size: 30px;
            line-height: 1.2;
            margin-bottom: 15px;
            text-align: left;
            @media (min-width: 2600px) and (max-width:8000px){
              font-size: 85px;
            }
            @media (min-width:1400px) and (max-width:2600px){
              font-size: 36px;
            }
            @media (min-width:1400px) and (max-width:1600px){
                font-size: 36px;
            }
            @media (min-width:1024px) and (max-width:1440px){
                font-size: 26px;
            } 
            @media (max-width:768px){
              font-size: 22px;
            } 
        }
        &__steps {
            display: flex;
            align-items: center;
            justify-content: space-between;
            img{
                border-radius: 100%;
            }
        }

        &__step{
            width: 100%;
            display: flex;
            justify-content: space-between;
            align-items: center;
            @media (max-width:768px){
              flex-direction: column;
            } 
            @media (max-height:400px){
              flex-direction: column;
            }
            img{
              width: 35%;
              @media (min-width: 2600px) and (max-width:8000px){
                width: 50%;
              }
              @media (min-width:1920px) and (max-width:2600px){
                width: 45%;
              } 
              @media (min-width:768px) and (max-width:1920px){
                width: 40%;
              } 
              @media (max-width:768px){
                width: 33%;
              }
              @media (max-width:600px){
                  width: 65%;
              }
            }
            .step-1{
              width: 75%;
              padding: 5%;
              @media (min-width:1024px) and (max-width:1400px){
                width: 65%;
              } 
              @media (max-width:768px){
                width: 100%;
              } 
            }
            h5{
                font-size: 20px;
                color: $white;
                padding-left: 15px;
                margin-bottom: 25px;
                @media (min-width: 2600px) and (max-width:8000px){
                  font-size: 70px;
              }
                @media (min-width:1920px) and (max-width:2600px){
                  font-size: 24px;
                }
                
                @media (min-width:768px) and (max-width:1920px){
                  font-size: 22px;
                }
            }

            .step-1__alternative {
                width: 100%;
                padding: 15px 35px;
                border: 1px solid $white;
                border-radius: 50px;
                margin-bottom: 10px;
                color: $white;
                font-size: 18px;
                text-align: left;
                box-sizing: border-box;
                cursor: pointer;
                @media (min-width: 2600px) and (max-width:8000px){
                  font-size: 50px;
                  padding: 20px 40px;
                  border: 6px solid #fff;
                  margin-bottom: 40px;
                }
                @media (min-width:1400px) and (max-width:2600px){
                  font-size: 24px;
                  border: 4px solid #fff;
                  margin-bottom: 15px;
                }
                @media (min-width:1024px) and (max-width:1400px){
                  font-size: 16px;
                }
                @media (min-width:768px) and (max-width:1024px){
                  padding: 10px 35px;
                }
                @media (max-width:768px){
                  font-size: 15px;
                  padding: 8px 14px;
                } 
                &.selected {
                    background: $secondary;
                    border: 1px solid $secondary !important;
                    position: relative;
                    &:after{
                        content: '';
                        position: absolute;
                        right: 20px;
                        top: 0;
                        bottom: 0;
                        margin: auto;
                        height: 22px;
                        width: 22px;
                        background: url('../../../assets/img/check.svg');
                        background-repeat: no-repeat;
                        @media (min-width: 2600px) and (max-width:8000px){
                          height: 50px;
                          width: 50px;
                          background-size: contain;
                        }
                        @media (min-width: 1920px) and (max-width:2600px){
                          height: 30px;
                          width: 30px;
                          background-size: contain;
                        }
                    }
                }

                &.error {
                    position: relative;
                    &:after{
                        content: '';
                        position: absolute;
                        right: 20px;
                        top: 0;
                        bottom: 0;
                        margin: auto;
                        height: 22px;
                        width: 22px;
                        background: url('../../../assets/img/error.svg');
                        background-repeat: no-repeat;
                        @media (min-width: 2600px) and (max-width:8000px){
                          height: 50px;
                          width: 50px;
                          background-size: contain;
                        }
                        @media (min-width: 1920px) and (max-width:2600px){
                          height: 30px;
                          width: 30px;
                          background-size: contain;
                        }
                    }
                }
                &:last-child {
                    margin: 0;
                }
            }

        }

    }
}

